Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Body

application/json

Request body for creating a new order. Either personId or officeId must be provided, but not both.

skus
object[]
required

A list of SKUs (items) to include in the order.

shippingAddress
object

The shipping address for the order. If not provided, it will be auto-resolved from the deliverToOffice address, the person's address (personId), or the office's address (officeId) — in that priority order.

personId
string<uuid>

The ID of the person receiving the order. Either this or officeId must be set, but not both.

Example:

"123e4567-e89b-12d3-a456-426614174000"

officeId
string<uuid>

The ID of the office receiving the order. Either this or personId must be set, but not both.

Example:

"123e4567-e89b-12d3-a456-426614174001"

deliverToPersonId
string<uuid>

The ID of the person to whom the order should be delivered. Used to auto-resolve the shipping address when shippingAddress is not provided.

Example:

"123e4567-e89b-12d3-a456-426614174002"

deliverToOfficeId
string<uuid>

The ID of the office to which the order should be delivered. Used to auto-resolve the shipping address when shippingAddress is not provided.

Example:

"123e4567-e89b-12d3-a456-426614174003"

Response

Order created successfully

orderId
string<uuid>
required
itemIds
string<uuid>[]
required